Claims

Methods for listing and executing invoice claims and batch collections in B2BINPAY DeFi API

GET
/api/v1/deployments/{deploymentId}/claims

Authorization

ApiKeyAuth
x-api-key<token>

Provide API key in X-API-Key header

In: header

Path Parameters

deploymentId*string

Deployment unique identifier

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

page?number

Page number (starts from 1)

Range0 < value <= 9007199254740991
Default1
pageSize?number

Number of items per page (max 100)

Range0 < value <= 100
Default10
sortBy?string

Field to sort by

Default"createdAt"

Value in

  • "createdAt"
  • "updatedAt"
sortOrder?string

Sort order (ASC or DESC)

Default"desc"

Value in

  • "asc"
  • "desc"
createdFrom?string

Filter by created date starting from this date

createdTo?string

Filter by created date up to this date

updatedFrom?string

Filter by updated date starting from this date

updatedTo?string

Filter by updated date up to this date

currencyIds?array<string>

Filter by currency IDs

invoiceId?string

Filter by invoice ID

currencyIsScam?|

Filter claims by currency scam flag

currencyIsVerified?|

Filter claims by currency verification flag

currencyIsHidden?|

Filter claims by whether currency is hidden for current user (JWT only; ignored for API keys)

Response Body

application/json

curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/claims"
{  "total": 100,  "page": 1,  "pageSize": 10,  "items": [    {      "invoiceId": "1234567890123456789",      "invoiceNonce": "abcd1234567890abcd1234567890abcd",      "createdAt": "2024-01-01T00:00:00.000Z",      "updatedAt": "2024-01-01T00:00:00.000Z",      "currency": {        "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7",        "symbol": "USDT",        "name": "Tether USD",        "chainId": "1",        "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",        "decimals": 6,        "isScam": false,        "isVerified": true,        "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png"      },      "amount": "100.50",      "transactions": 3    }  ]}
Empty
Empty
Empty
GET
/api/v1/deployments/{deploymentId}/claims/currencies

Authorization

ApiKeyAuth
x-api-key<token>

Provide API key in X-API-Key header

In: header

Path Parameters

deploymentId*string

Deployment unique identifier

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/claims/currencies"
[  {    "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7",    "symbol": "USDT",    "name": "Tether USD",    "chainId": "1",    "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",    "decimals": 6,    "isScam": false,    "isVerified": true,    "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png"  }]
Empty
Empty
Empty

Zuletzt aktualisiert am